
From: Olaf Hering <olh@suse.de>

Here is a patch to fix compilation on ppc32.



---

 25-akpm/drivers/ide/Makefile |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

diff -puN drivers/ide/Makefile~ppc32-ide-build-fix drivers/ide/Makefile
--- 25/drivers/ide/Makefile~ppc32-ide-build-fix	Wed Jan 28 16:57:00 2004
+++ 25-akpm/drivers/ide/Makefile	Wed Jan 28 16:57:00 2004
@@ -26,17 +26,17 @@ ide-core-$(CONFIG_PROC_FS)		+= ide-proc.
 ide-core-$(CONFIG_BLK_DEV_IDEPNP)	+= ide-pnp.o
 
 # built-in only drivers from legacy/
-ide-core-$(CONFIG_BLK_DEV_IDE_PC9800)	+= pc9800.o
-ide-core-$(CONFIG_BLK_DEV_BUDDHA)	+= buddha.o
-ide-core-$(CONFIG_BLK_DEV_FALCON_IDE)	+= falconide.o
-ide-core-$(CONFIG_BLK_DEV_GAYLE)	+= gayle.o
-ide-core-$(CONFIG_BLK_DEV_MAC_IDE)	+= macide.o
-ide-core-$(CONFIG_BLK_DEV_Q40IDE)	+= q40ide.o
+ide-core-$(CONFIG_BLK_DEV_IDE_PC9800)	+= legacy/pc9800.o
+ide-core-$(CONFIG_BLK_DEV_BUDDHA)	+= legacy/buddha.o
+ide-core-$(CONFIG_BLK_DEV_FALCON_IDE)	+= legacy/falconide.o
+ide-core-$(CONFIG_BLK_DEV_GAYLE)	+= legacy/gayle.o
+ide-core-$(CONFIG_BLK_DEV_MAC_IDE)	+= legacy/macide.o
+ide-core-$(CONFIG_BLK_DEV_Q40IDE)	+= legacy/q40ide.o
 
 # built-in only drivers from ppc/
-ide-core-$(CONFIG_BLK_DEV_MPC8xx_IDE)	+= mpc8xx.o
-ide-core-$(CONFIG_BLK_DEV_IDE_PMAC)	+= pmac.o
-ide-core-$(CONFIG_BLK_DEV_IDE_SWARM)	+= swarm.o
+ide-core-$(CONFIG_BLK_DEV_MPC8xx_IDE)	+= ppc/mpc8xx.o
+ide-core-$(CONFIG_BLK_DEV_IDE_PMAC)	+= ppc/pmac.o
+ide-core-$(CONFIG_BLK_DEV_IDE_SWARM)	+= ppc/swarm.o
 
 obj-$(CONFIG_BLK_DEV_IDE)		+= ide-core.o
 obj-$(CONFIG_IDE_GENERIC)		+= ide-generic.o

_
